<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sien.common.mapper.AppUserMapper">

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
        id, username, wechat_open_id, nickname, idcard, nation, password, salt, phone, phone_area, gender, head, remark, state, deleted, version, create_time, update_time, date_of_birth, education_background, email, location, location_detail, profession, company, emergency_phone
    </sql>

        <select id="getAppUserById" resultType="com.sien.common.vo.AppUserQueryVo">
            select
            <include refid="Base_Column_List"/>
            from app_user where id = #{id}
        </select>

        <select id="getAppUserPageList" parameterType="com.sien.common.param.AppUserPageParam" resultType="com.sien.common.vo.AppUserQueryVo">
            select
            <include refid="Base_Column_List"/>
            from app_user
        </select>

</mapper>
